import React from 'react';

import { Link } from 'react-router-dom';

interface Props {
  url: string;
  title: string;
  image: string;
  imageHover?: string;
}

const LinkImage: React.FC<Props> = (props) => {
  const { url, title, image: imageNormal, imageHover } = props;
  const [image, setImage] = React.useState<string>(imageNormal);

  const handleMouseOver = () => {
    if (imageHover != null) {
      setImage(imageHover);
    }
  };

  const handleMouseOut = () => {
    if (imageHover != null) {
      setImage(imageNormal);
    }
  };

  if (url.match(/^(\/|\.)/) === null) {
    return (
      <a
        href={url}
        target="_blank"
        rel="noopener noreferrer"
        onMouseOver={handleMouseOver}
        onMouseOut={handleMouseOut}
      >
        {image}
      </a>
    );
  }
  return (
    <Link to={url} onMouseOver={handleMouseOver} onMouseOut={handleMouseOut}>
      <img style={{ verticalAlign: 'middle' }} src={image} alt={title} title={title} />
    </Link>
  );
};

export default LinkImage;
