import { Fragment } from 'react';
import { Link } from 'react-router-dom';
import Functions from '../../../functions';
import { ItemBook } from '../../lib/ItemUtil';
import ListBase, { ListBaseProps } from '../lib/ListBase';

import iconFile from '../../assets/images/icon_book.gif';

class BookList extends ListBase {
  constructor(props: ListBaseProps) {
    super(props);
    this.label = 'Book';
    this.icon = iconFile;
  }

  renderBody() {
    const { lang } = this.props;
    const item = this.props.item as ItemBook;
    const authors = item.author.map((author, i) => {
      return (
        <Fragment key={i}>
          {i > 0 && ', '}
          {Functions.mlang(author, lang)}
        </Fragment>
      );
    });
    return (
      <>
        <Link to={this.url}>{Functions.mlang(item.title, lang)}</Link>
        <br />
        {authors}
      </>
    );
  }
}

export default BookList;
