import React from 'react';

import moment from 'moment';
import { MultiLang } from '../../../../config';

interface Props {
  lang: MultiLang;
  date: number;
  onlyDate?: boolean;
}

const DateTime: React.FC<Props> = (props) => {
  const { date, onlyDate } = props;
  const d = moment(new Date(date * 1000));
  let format = 'MMM D, Y';
  if (typeof onlyDate === 'undefined' || !onlyDate) {
    format += ' HH:mm:ss';
  }
  return <span>{d.format(format)}</span>;
};

export default DateTime;
