import React from 'react';

import { Link } from 'react-router-dom';
import Functions from '../../../functions';
import { ItemPresentation } from '../../lib/ItemUtil';
import ListBase, { ListBaseProps } from '../lib/ListBase';
import PresentationUtil from './PresentationUtil';

import iconFile from '../../assets/images/icon_presentation.gif';

class PresentationList extends ListBase {
  constructor(props: ListBaseProps) {
    super(props);
    this.label = 'Presentation';
    this.icon = iconFile;
  }

  renderBody() {
    const { lang } = this.props;
    const item = this.props.item as ItemPresentation;
    const authors = item.creator.map((author, i) => {
      return (
        <React.Fragment key={i}>
          {i > 0 && ', '}
          {Functions.mlang(author, lang)}
        </React.Fragment>
      );
    });
    return (
      <>
        <Link to={this.url}>{Functions.mlang(item.title, lang)}</Link>
        <br />
        <PresentationUtil.PresentationType lang={lang} type={item.presentation_type} />
        <br />
        {authors}
      </>
    );
  }
}

export default PresentationList;
