import React from 'react';

import { Link } from 'react-router-dom';
import Functions from '../../../functions';
import { ItemSimulator } from '../../lib/ItemUtil';
import ListBase, { ListBaseProps } from '../lib/ListBase';

import iconFile from '../../assets/images/icon_simulator.gif';

class SimulatorList extends ListBase {
  constructor(props: ListBaseProps) {
    super(props);
    this.label = 'Simulator';
    this.icon = iconFile;
  }

  renderBody() {
    const { lang } = this.props;
    const item = this.props.item as ItemSimulator;
    const authors = item.developer.map((author, i) => {
      return (
        <React.Fragment key={i}>
          {i > 0 && ', '}
          {Functions.mlang(author, lang)}
        </React.Fragment>
      );
    });
    return (
      <>
        <Link to={this.url}>{Functions.mlang(item.title, lang)}</Link>
        <br />
        {authors}
      </>
    );
  }
}

export default SimulatorList;
